---
title: MediaRecorder.resume()
slug: Web/API/MediaRecorder/resume
tags:
  - API
  - Media Capture
  - Media Recorder API
  - MediaRecorder
  - Method
  - Reference
  - resume
---
<div>{{APIRef("MediaStream Recording")}}</div>

<p><span class="seoSummary">The <strong><code>MediaRecorder.resume()</code></strong> method (part of the <a href="/en-US/docs/Web/API/MediaRecorder_API">MediaRecorder API</a>) is used to resume media recording when it has been previously paused.</span></p>

<p>When the <code>resume()</code> method is invoked, the browser queues a task that runs the following steps:</p>

<ol>
 <li>If {{domxref("MediaRecorder.state")}} is "inactive", raise a DOM <code>InvalidState</code> error and terminate these steps. If {{domxref("MediaRecorder.state")}} is not "inactive", continue to the next step.</li>
 <li>Set {{domxref("MediaRecorder.state")}} to "recording".</li>
 <li>Continue gathering data into the current {{domxref("Blob")}}.</li>
 <li>Raise a <code>resume</code> event.</li>
</ol>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><span class="idlInterface"><span class="idlMethod"><span class="idlInterface"><span class="idlMethod"><span class="idlMethType"><span class="idlInterface"><span class="idlMethod"><span class="idlMethType"><span class="idlInterface"><span class="idlMethod"><span class="idlMethType">MediaRecorder.resume()</span></span></span></span></span></span></span></span></span></span></span></pre>

<h3 id="Errors">Errors</h3>

<p>An <code>InvalidState</code> error is raised if the <code>resume()</code> method is called while the <code>MediaRecorder</code> object’s {{domxref("MediaRecorder.state")}} is "inactive" — the recording cannot be resumed if it is not already paused; if {{domxref("MediaRecorder.state")}} is already "recording", <code>resume()</code> has no effect.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">...

  pause.onclick = function() {
    if(MediaRecorder.state === "recording") {
      mediaRecorder.pause();
      // recording paused
    } else if(MediaRecorder.state === "paused") {
      mediaRecorder.resume();
      // resume recording
    }
  }

...</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("MediaStream Recording", "#dom-mediarecorder-resume", "MediaRecorder.resume()")}}</td>
   <td>{{Spec2("MediaStream Recording")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaRecorder.resume")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/MediaRecorder_API/Using_the_MediaRecorder_API">Using the MediaRecorder API</a></li>
 <li><a href="https://mdn.github.io/web-dictaphone/">Web Dictaphone</a>: MediaRecorder + getUserMedia + Web Audio API visualization demo, by <a href="https://twitter.com/chrisdavidmills">Chris Mills</a> (<a href="https://github.com/mdn/web-dictaphone/">source on Github</a>.)</li>
 <li><a href="http://simpl.info/mediarecorder/">simpl.info MediaStream Recording demo</a>, by <a href="https://twitter.com/sw12">Sam Dutton</a>.</li>
 <li>{{domxref("Navigator.getUserMedia")}}</li>
</ul>
